Mercurial > repos > greg > gregs
comparison abyss/abyss_wrapper.sh @ 4:a188de29f06e
Uploaded
author | g2cmnty@test-web1.g2.bx.psu.edu |
---|---|
date | Tue, 28 Jun 2011 10:29:09 -0400 |
parents | |
children |
comparison
equal
deleted
inserted
replaced
3:6ad594db0143 | 4:a188de29f06e |
---|---|
1 #!/bin/bash | |
2 | |
3 if [ $# -ne 3 ] | |
4 then | |
5 echo "ERROR: Expected exactly 3 arguments; got: $*" 1>&2 | |
6 exit 1 | |
7 fi | |
8 | |
9 CMD=`ABYSS -k$1 $2 -o $3 2>&1` | |
10 if [ $? -ne 0 ] | |
11 then | |
12 { | |
13 echo "COMMAND FAILURE: $CMD" 1>&2 | |
14 exit $? | |
15 } | |
16 fi |